<!-- 表单对话框 -->
<template>
	<YWDialog
		:is-show="isShow"
		:header-icon="headerIcon"
		:title="title"
		:width="width"
		@closed="handleClosedClick"
		@close="handleCloseClick"
		@submit="handleSubmitClick"
	>
		<YWForm :inline="inline">
		
		</YWForm>
	</YWDialog>
</template>

<script setup lang="ts">
import { formDialogEmits, formDialogProps } from '/@/components/dialog/formDialog/formDialog';
import { useFormDialog } from '/@/components/dialog/formDialog/useFormDialog';
import YWDialog from '/@/components/dialog/yw-dialog.vue';
import YWForm from '/@/components/form/yw-form.vue';
const props = defineProps(formDialogProps);
const emits = defineEmits(formDialogEmits);
const { handleCloseClick, handleClosedClick, handleSubmitClick } = useFormDialog(props, emits);
</script>
<style scoped lang="scss">

</style>
